import cdsapi

c = cdsapi.Client()

list_vars = [
    'geopotential',
    'specific_humidity',
    'temperature',
    'u_component_of_wind',
    'v_component_of_wind'
]

product_type = 'monthly_mean'

for var in list_vars:
    for year in [1993,1994,2017,2018]:

        if year < 2017: 
            type_seasonal = 'hindcast'
        else:
            type_seasonal = 'forecast'

        c.retrieve(
            'seasonal-monthly-pressure-levels',
            {
                'originating_centre':'ecmwf',
                'system':'5',
                'variable':var,
                'pressure_level':[
                    '10','30','50',
                    '100','200','300',
                    '400','500','700',
                    '850','925'
                ],
                'product_type':'monthly_mean',
                'year':[
                    str(year),
                    str(year+1)
                ],
                'month':'01',
                'leadtime_month':'1',
                'format':'grib'
            },
            '../archives/prioritary/100_seas_for-monthly-PLVL-'+type_seasonal+'-'+product_type+'-'+var+'-'+str(year)+'.grib')