import cdsapi

c = cdsapi.Client()

prior_vars = [
    '2m_dewpoint_temperature',
    '2m_temperature',
    'maximum_2m_temperature_in_the_last_24_hours',
    'mean_sea_level_pressure',
    'minimum_2m_temperature_in_the_last_24_hours',
    'sea_ice_cover',
    'sea_surface_temperature'
]

product_type = 'monthly_mean'

for year in [1993,1994,2017,2018]:

    for var in prior_vars:

        if year < 2017: 
            type_seasonal = 'hindcast'
        else:
            type_seasonal = 'forecast'
        
        c.retrieve(
            'seasonal-monthly-single-levels',
            {
                'format':'grib',
                'variable':var,
                'originating_centre':'ecmwf',
                'system':'5',
                'month':'01',
                'leadtime_month':'1',
                'product_type':product_type,
                'year':[
                    str(year),
                    str(year+1)
                ]
            },
            '../archives/prioritary/101_seas_for-monthly-SLVL-'+type_seasonal+'-'+product_type+'-'+var+'-'+str(year)+'.grib')
