import cdsapi

c = cdsapi.Client()

list_vars = [
    'geopotential',
    'specific_humidity',
    'temperature',
    'u_component_of_wind',
    'v_component_of_wind'
]

for var in list_vars:
    for year in [1993,1994,2017,2018]:
        if year < 2017: 
            type_seasonal = 'hindcast'
        else:
            type_seasonal = 'forecast'	
        c.retrieve(
            'seasonal-original-pressure-levels',
            {
                'originating_centre':'ecmwf',
                'system':'5',
                'variable':var,
                'pressure_level':[
                    '10','30','50',
                    '100','200','300',
                    '400','500','700',
                    '850','925'
                ],
                'year':[
                    str(year),
                    str(year+1)
                ],
                'month':'01',
                'day':'01',
                'leadtime_hour':[
                    '72',
                    '180'
                ],
                'format':'grib'
            },
            '../archives/prioritary/102_seas_for-daily-PLVL-'+type_seasonal+'-'+var+'-'+str(year)+'.grib')
